> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://tc.docs.syndicate.io/api/admin/projects/get-project/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://tc.docs.syndicate.io/_mcp/server. # Get Project GET https://api.syndicate.io/admin/project/{projectId} Get a specific project Reference: https://tc.docs.syndicate.io/api/admin/projects/get-project ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `projectId` (UUID, required) ## Response ### 200 - `allowlistIpRanges` (list of AllowlistIpRange, required) - `contracts` (list of Contract, required) - `createdAt` (datetime, required) - `environment` (enum, required) - Allowed values: `staging`, `production` - `id` (string, required) - `name` (string, required) - `organizationId` (UUID, required) - `updatedAt` (datetime, optional) ## Errors ### 401 Status Unauthorized ## Types ### AllowlistIpRange - `createdAt` (datetime, required) - `id` (string, required) - `ipRange` (string, required) - `projectId` (UUID, required) - `updatedAt` (datetime, optional) ### Contract - `address` (string, required) - `chainId` (integer, required) - `createdAt` (datetime, required) - `functionSignatures` (list of FunctionSignature, required) - `id` (string, required) - `name` (string, required) - `projectId` (UUID, required) - `claimedByOrganizationId` (UUID, optional) - `expiresAt` (datetime, optional) - `updatedAt` (datetime, optional) ### FunctionSignature - `contractId` (UUID, required) - `createdAt` (datetime, required) - `hashedSignature` (string, required) - `id` (string, required) - `payable` (boolean, required) - `signature` (string, required) - `functionAbi` (any, optional) — JSON ABI of the function signature. Null if function signature is unable to be parsed. - `updatedAt` (datetime, optional) ## Examples **Response** ```json { "allowlistIpRanges": [ { "ipRange": "ipRange", "projectId": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32" }, { "ipRange": "ipRange", "projectId": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32" } ], "contracts": [ { "address": "address", "chainId": 1, "functionSignatures": [ { "contractId": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32", "hashedSignature": "hashedSignature", "payable": true, "signature": "signature", "functionAbi": { "key": "value" } }, { "contractId": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32", "hashedSignature": "hashedSignature", "payable": true, "signature": "signature", "functionAbi": { "key": "value" } } ], "name": "name", "projectId": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32", "claimedByOrganizationId": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32", "expiresAt": "2024-01-15T09:30:00Z" }, { "address": "address", "chainId": 1, "functionSignatures": [ { "contractId": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32", "hashedSignature": "hashedSignature", "payable": true, "signature": "signature", "functionAbi": { "key": "value" } }, { "contractId": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32", "hashedSignature": "hashedSignature", "payable": true, "signature": "signature", "functionAbi": { "key": "value" } } ], "name": "name", "projectId": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32", "claimedByOrganizationId": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32", "expiresAt": "2024-01-15T09:30:00Z" } ], "environment": "staging", "name": "name", "organizationId": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32" } ``` **SDK Code** ```python import requests url = "https://api.syndicate.io/admin/project/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.syndicate.io/admin/project/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.syndicate.io/admin/project/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.syndicate.io/admin/project/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.syndicate.io/admin/project/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32") .header("Authorization", "Bearer ") .asString(); ``` ```php request('GET', 'https://api.syndicate.io/admin/project/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.syndicate.io/admin/project/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.syndicate.io/admin/project/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```